Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000411Core InformSource text and punctuationpublic2010-11-13 20:012014-05-07 07:35
ReporterPoster 
Assigned Tograham 
PrioritynormalSeveritycosmeticReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.5
Product Version6F95 
Target VersionFixed in Version6L02 
Summary0000411: Unhelpful error message for ``at the time that'' rather than ``at the time when''
DescriptionThe attached source provokes this problem message:

- - - -
Problem. You wrote 'At the time that the master arrives' : but 'at' what time? No description of a time is given, which means that this rule can never have effect. (The convention is that any rule beginning 'At' is a timed one. The time can either be a fixed time, as in 'At 11:10 AM: ...', or the time when some named event takes place, as in 'At the time when the clock chimes: ...'.)
- - - -

It would be helpful if the message could point out more explicitly that the word ``when'' must be used.
Minimal Source Text To Reproduce
There is a room.
At the time that the master arrives:
	the master arrives in one turn from now.
TagsNo tags attached.
Effect(cosmetic) Error message is badly worded
Attached Files

- Relationships

-  Notes
(0000815)
Ron Newcomb (reporter)
2010-11-13 20:52

A more helpful error message would probably speak of using declarative constructs in an imperative context, which is the kind of error this reporter keeps making, and s/he isn't alone. I see mistakes like this a lot in the forums.
(0000816)
Poster (reporter)
2010-11-14 19:28

First, if you have a problem with me, talk to me personally. I am informing the admins that you use bug reports to issue personal attacks.

Second, bugs are fixed by reporting as much detail about the problem as possible, and suggesting a solution. That makes life easier on the developers. If they have to figure out what you mean, then they usually write off the problem as nonrepro.
(0000818)
emshort (administrator)
2010-11-14 22:00

I understood Ron's point to be that there is something fundamentally misleading about Inform's error messages here, and that this was more a remark about Inform than about any person.

That said: let's adopt a policy of not generalizing about the tendencies of specific bug reporters. It's unlikely to clarify anything, and may (as here, unfortunately) lead to hard feelings.
(0000822)
EmacsUser (manager)
2010-11-16 10:58

Actually, there could be two bugs here: one about an unhelpful problem message, and one about accepting nested rule declarations. I've pared this one down accordingly, and also split off 0000417.
(0001391)
graham (administrator)
2011-10-16 06:29

This looks very marginal to me - the mistake is correctly explained, and do many people idiomatically write "at the time that"? - but it was a sufficiently trivial change to the syntax analyser that I added a more specific problem message anyway.

- Issue History
Date Modified Username Field Change
2010-11-13 20:01 Poster New Issue
2010-11-13 20:52 Ron Newcomb Note Added: 0000815
2010-11-13 22:04 jmcgrew Status new => acknowledged
2010-11-14 19:28 Poster Note Added: 0000816
2010-11-14 22:00 emshort Note Added: 0000818
2010-11-16 10:54 EmacsUser Issue cloned 0000417
2010-11-16 10:58 EmacsUser Note Added: 0000822
2010-11-16 10:58 EmacsUser Summary Unhelpful error message when using "At the time..." rule => Unhelpful error message for ``at the time that'' rather than ``at the time when''
2010-11-16 10:58 EmacsUser Description Updated View Revisions
2010-11-16 10:58 EmacsUser Steps to Reproduce Updated View Revisions
2010-11-16 10:58 EmacsUser Additional Information Updated View Revisions
2010-11-16 11:06 EmacsUser Description Updated View Revisions
2010-11-16 18:53 jmcgrew Status acknowledged => confirmed
2011-10-16 06:29 graham Note Added: 0001391
2011-10-16 06:29 graham Status confirmed => resolved
2011-10-16 06:29 graham Resolution open => fixed
2011-10-16 06:29 graham Assigned To => graham
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:35 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker